#-------------------------------------------------
# @FILE Anonymizer.pro
# @AUTHOR Martin Borek (mborekcz@gmail.com)
# @AUTHOR Filip Orsag (orsag@fit.vutbr.cz)
# @DATE Sep, 2015
#-------------------------------------------------

QT += core gui multimedia multimediawidgets help widgets

debug {
    message(Creating DEBUG version)
}

release {
    message(Creating RELEASE version)
    QMAKE_CXXFLAGS += -D NDEBUG         # disable assert
    DEFINES += QT_NO_DEBUG_OUTPUT       # disable qDebug()
}

TARGET = Anonymizer
TEMPLATE = app
FORMS += Sources/mainwindow.ui
RC_FILE = $$PWD/Resources/Anonymizer.rc
RESOURCES += Resources/Anonymizer.qrc
TRANSLATIONS += Resources/Languages/Anonymizer_cs.ts

INCLUDEPATH += \
    $$PWD/3rdparty/include \
    $$PWD/Sources \
    $$PWD/Resources \
    $$PWD/Resources/languages \
    $$PWD/Resources/help \
    $$PWD/3rdparty/include/ffmpeg \
    $$PWD/3rdparty/include/opencv

HEADERS += \
    Sources/Tracking/Algorithm1/observe1.h \
    Sources/Tracking/Algorithm1/observe2.h \
    Sources/Tracking/Algorithm1/observetemplate.h \
    Sources/Tracking/Algorithm1/state.h \
    Sources/Tracking/Algorithm1/state1.h \
    Sources/Tracking/Algorithm1/state2.h \
    Sources/anchoritem.h \
    Sources/avwriter.h \
    Sources/colors.h \
    Sources/ffmpegplayer.h \
    Sources/helpbrowser.h \
    Sources/imagelabel.h \
    Sources/mainwindow.h \
    Sources/objectshape.h \
    Sources/playerslider.h \
    Sources/selection.h \
    Sources/timelabel.h \
    Sources/trackedobject.h \
    Sources/trackingalgorithm.h \
    Sources/trajectoryitem.h \
    Sources/videoframe.h \
    Sources/videotracker.h \
    Sources/videowidget.h

SOURCES += \
    Sources/anchoritem.cpp \
    Sources/avwriter.cpp \
    Sources/colors.cpp \
    Sources/ffmpegplayer.cpp \
    Sources/helpbrowser.cpp \
    Sources/imagelabel.cpp \
    Sources/main.cpp \
    Sources/mainwindow.cpp \
    Sources/objectshape.cpp \
    Sources/playerslider.cpp \
    Sources/timelabel.cpp \
    Sources/trackedobject.cpp \
    Sources/trackingalgorithm.cpp \
    Sources/trajectoryitem.cpp \
    Sources/videoframe.cpp \
    Sources/videotracker.cpp \
    Sources/videowidget.cpp

LIBS += \
    -L$$PWD/3rdparty/lib_win64/opencv \
    -L$$PWD/3rdparty/lib_win64/ffmpeg \
    -lavdevice \
    -lavformat \
    -lavfilter \
    -lavcodec \
    -lswresample \
    -lswscale \
    -lavutil


debug {
    LIBS += \
        -lopencv_ts300 \
        -lopencv_world300
}

release {
    LIBS += \
        -lopencv_ts300 \
        -lopencv_world300
}
