//------------------------------------------------------------------------------
//
//  Project:   Anonymizer
//
//             Brno University of Technology
//             Faculty of Information Technology
//
//------------------------------------------------------------------------------
//
//      This project was financially supported by project VG20102015006 funds
//           provided by Ministry of the Interior of the Czech republic.
//
//------------------------------------------------------------------------------
/*!

@file      helpbrowser.h
@brief     Header file
@details   Details
@authors   Martin Borek (mborekcz@gmail.com)
@authors   Filip Orsag (orsag@fit.vutbr.cz)
@date      2014-2015
@note      This project was supported by MV CR project VG20102015006.
@copyright BUT OPEN SOURCE LICENCE (see License.txt)

*/

#ifndef HELPBROWSER_H
#define HELPBROWSER_H

#include <QTextBrowser>
#include <QHelpEngine>
#include <QWidget>

class HelpBrowser : public QTextBrowser
{
public:
    /**
     * Constructor
     * @param helpEngine Help engine with loaded help files
     * @param parent Parent Widget
     */
    HelpBrowser(QHelpEngine *helpEngine, QWidget *parent = 0);

    /**
     * Loading a resource.
     * @param type Resourse type
     * @param name Resource name
     * @return Found data
     */
    QVariant loadResource (int type, const QUrl& name);
private:
    QHelpEngine* helpEngine;

};

#endif // HELPBROWSER_H
