//------------------------------------------------------------------------------
//
//  Project:   Anonymizer
//
//             Brno University of Technology
//             Faculty of Information Technology
//
//------------------------------------------------------------------------------
//
//      This project was financially supported by project VG20102015006 funds
//           provided by Ministry of the Interior of the Czech republic.
//
//------------------------------------------------------------------------------
/*!

@file      playerslider.h
@brief     Header file
@details   Details
@authors   Martin Borek (mborekcz@gmail.com)
@authors   Filip Orsag (orsag@fit.vutbr.cz)
@date      2014-2015
@note      This project was supported by MV CR project VG20102015006.
@copyright BUT OPEN SOURCE LICENCE (see License.txt)

*/

#ifndef PLAYERSLIDER_H
#define PLAYERSLIDER_H

#include <QSlider>
#include <QMouseEvent>

class PlayerSlider : public QSlider
{
    Q_OBJECT
public:
    /**
     * Constructor
     * @param parent Parent widget
     */
    explicit PlayerSlider(QWidget *parent = 0);

    /**
     * Destructor
     */
    ~PlayerSlider();

protected:
    /**
     * Captures mouse release events to detect a mouse click that is processed
     * and clicked signal is emitted.
     * @param event Mouse event
     */
    void mouseReleaseEvent(QMouseEvent * event);

signals:
   /**
    * When a click is detected, this signal send a position of the click.
    * @param Position of the slider where the click was made
    */
   void clicked(unsigned long);

};

#endif // PLAYERSLIDER_H
